summaryrefslogtreecommitdiff
path: root/dev-python/objgraph
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-21 10:47:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-21 10:47:44 +0000
commit10c8dfd3134343aaf5f2fdaac75fea3d51239f1c (patch)
treece1c09d52703e3e69bab7cdce69a63c6f85f710f /dev-python/objgraph
parentfdb35d780cf6ca8e6775e73427ead65b47f991f0 (diff)
downloadbaldeagleos-repo-10c8dfd3134343aaf5f2fdaac75fea3d51239f1c.tar.gz
baldeagleos-repo-10c8dfd3134343aaf5f2fdaac75fea3d51239f1c.tar.xz
baldeagleos-repo-10c8dfd3134343aaf5f2fdaac75fea3d51239f1c.zip
Adding metadata
Diffstat (limited to 'dev-python/objgraph')
-rw-r--r--dev-python/objgraph/objgraph-3.5.0-r1.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/objgraph/objgraph-3.5.0-r1.ebuild b/dev-python/objgraph/objgraph-3.5.0-r1.ebuild
new file mode 100644
index 000000000000..b06ce42ab6d0
--- /dev/null
+++ b/dev-python/objgraph/objgraph-3.5.0-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Draws Python object reference graphs with graphviz"
+HOMEPAGE="
+ https://github.com/mgedmin/objgraph/
+ https://pypi.org/project/objgraph/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+SLOT="0"
+IUSE="doc"
+
+RDEPEND="
+ media-gfx/graphviz
+"
+BDEPEND="
+ test? (
+ media-gfx/xdot
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/objgraph-3.4.1-tests.patch"
+)
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # the dependency is optional, actually
+ sed -i -e '/graphviz/d' setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/* )
+ distutils-r1_python_install_all
+}